#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream fi("tansuat.inp");
	ofstream fo("tansuat.out");
	int64_t n;
	fi>>n;
	int x;
	int dempt=0;
	int max=0;
	vector<int64_t> b(10000001,0);
	for(int i=0;i<n;i++)
	{
		fi>>x;
		if(x>max)
		{
			max=x;
		}
		b[x]++;
	}
	for(int64_t i=0;i<max+1;i++)
	{
		if(b[i]>1)
		{
			fo<<i<<' '<<b[i]<<endl;
			dempt++;
		}
	}
	if(dempt==0)
	{
		fo<<0;
	}
}
